ga_Population {GA} | R Documentation

## Population initialization in genetic algorithms

### Description

Functions for creating a random initial population to be used in genetic algorithms.

### Usage

    gabin_Population(object, ...)

    gareal_Population(object, ...)

    gaperm_Population(object, ...)

### Arguments

`object` | An object of class `"ga"`, usually resulting from a call to function `ga`.
`...` | Further arguments passed to or from other methods.

### Details

`gabin_Population` generates a random population of `object@nBits` binary values;

`gareal_Population` generates a random (uniform) population of real values in the range [`object@min`, `object@max`];

`gaperm_Population` generates a random (uniform) population of integer values in the range [`object@min`, `object@max`].

### Value

Return a matrix of dimension `object@popSize` times the number of decision variables.

### Author(s)

Luca Scrucca

### See Also

`ga`

[Package GA version 3.2 Index]